.field {
  margin-bottom: 16px;

  &__name {
    margin-bottom: 8px;
  }

  &__control {
    display: block;
    width: 100%;
    padding: 8px 16px;
    border-radius: var(--border-radius);
    border: 1px solid #cdd9ed;
    background: #fff;
    transition: border 0.3s ease;

    &:focus {
      outline: none;
      border-color: var(--primary-color);
    }
  }

  &__info {
    margin-top: 8px;
  }

  &__description {
    margin-top: 4px;
    font-size: 14px;
    color: var(--text-muted);
  }

  .ng-invalid.ng-touched {
    border-color: var(--error-color);
  }
}
